Bug 1281461 - yum-rhn-plugin 2.4.6-1 el5 rhn_check does not install updates
yum-rhn-plugin 2.4.6-1 el5 rhn_check does not install updates
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.4
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Jiří Dostál
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2015-11-12 10:05 EST by Mathias Edlund
Modified: 2017-09-28 14:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-16 04:08:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathias Edlund 2015-11-12 10:05:28 EST
Description of problem:

rhn_check does not install scheduled updates, reports completion
up2date debug reports "More recent version of package .. is already installed" for all packages.

Version

We "just" upgraded from Spacewalk 2.2 to 2.4 and therefore from 
yum-rhn-plugin-2.2.7-1.el5
to
yum-rhn-plugin-2.4.6-1.el5

How to reproduce:

1. stop osad (to debug)
2. install yum-rhn-plugin-2.4.6-1.el5 on a Centos 5
3. schedule a package upgrade using spacewalk gui
4. execute rhn_check -vvv

Actual results:

package ist not updated
[Thu Nov 12 14:50:34 2015] up2date D: More recent version of package kpartx-0:0.4.7-64.el5_11.x86_64 is already installed

Expected results:

update of package

Additional info:

we have 164 affected systems it seems to be not node specific
works again when downgrading yum-rhn-plugin to 2.2.7-1.el5 

it looks like the compare function in /usr/share/rhn/actions/packages.py around line 347 does no longer work as expected. (at that point we stopped debugging)
Comment 1 Cyril 2016-01-11 09:27:10 EST
We've seen the same issue and have for now reverted the affected systems to version 2.2.7-1.el5 as well. We haven't seen this issue on el6 and el7 clients with the latest version.
Comment 2 Jiří Dostál 2016-02-19 10:11:01 EST
Please check latest commit on https://bugzilla.redhat.com/show_bug.cgi?id=1292288.
Comment 3 Tomáš Kašpárek 2016-06-16 04:08:10 EDT
Spacewalk 2.5 was released.
Comment 4 Eric Herget 2017-09-28 14:08:35 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.